> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeroclick.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Save the card credits are charged to

> Makes the card from a succeeded SetupIntent the organization's card, replacing any previous one. Organization admins only.



## OpenAPI

````yaml https://api.zeroclick.io/openapi.json put /v1/organizations/current/credits/card
openapi: 3.0.0
info:
  title: ZeroClick API
  description: >-
    REST API for managing ZeroClick sellers, services, pricing, usage, and
    analytics. Authenticate with an API key from the ZeroClick dashboard.
  version: 1.0.0
servers:
  - url: https://api.zeroclick.io
security:
  - bearerAuth: []
tags:
  - name: API keys
  - name: Sellers
  - name: Services
  - name: Meters
  - name: Plans
  - name: Plan meter prices
  - name: Usage
  - name: Analytics
  - name: Agentify
  - name: Stripe Connect
  - name: Sandbox
  - name: Organizations
  - name: Users
paths:
  /v1/organizations/current/credits/card:
    put:
      tags:
        - Organizations
      summary: Save the card credits are charged to
      description: >-
        Makes the card from a succeeded SetupIntent the organization's card,
        replacing any previous one. Organization admins only.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                setupIntentId:
                  type: string
                  minLength: 1
                  maxLength: 255
              required:
                - setupIntentId
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  card:
                    type: object
                    properties:
                      brand:
                        type: string
                      last4:
                        type: string
                      expMonth:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      expYear:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - brand
                      - last4
                      - expMonth
                      - expYear
                    additionalProperties: false
                required:
                  - card
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key created in the ZeroClick dashboard under Settings → API keys.
        Keys start with `zc_`. Send them as `Authorization: Bearer zc_...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.